---
title: Update Customer
description: Update a customer's contact and address details on the prepaid card portal.
---

This API is to update details of a customer on prepaid card portal. We must pass entity id, email, mobile no, address, country, city, state, and pin code in request. If the request has valid details, we will get a success response.

#### POST
```
https://kraken.airpay.co.in/airpay/ms/cards/api/update-customer
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| checksum  required | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| token  required | text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| entity_id  required | text  <br>(1-50) | The Customer Id registered with the system | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| email  optional | text | Valid Email address with valid email format .Must be unique. | `xyz@airpay.co.in` |
| mobile_no  optional | text | Mobile number of the customer | `9XXXXXX879` |
| address  optional | alphanumeric | Address of the customer (Alpha numeric only with space allowed ) | `Address` |
| country  optional | text | Country name | `India` |
| city  optional | text | City name (Only a-z A-Z and no spaces) | `City` |
| state  optional | text | State name (Only a-z A-Z and no spaces) | `Kerala` |
| pincode  optional | numeric  <br>(1-6) | Customer pincode (only 6 digits for India) | `682308` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | numeric | airpay status | `400,200` |
| message  required | text | airpay status message | `Success,Fail` |
| data  required | json | [] |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/update-customer' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'email=xyz@airpay.co.in' \
--data-urlencode 'mobile_no=9XXXXXX879' \
--data-urlencode 'address=Address' \
--data-urlencode 'city=City' \
--data-urlencode 'state=Kerala' \
--data-urlencode 'country=India' \
--data-urlencode 'pincode=682308'
```

### Success Response

```json
{
    "status": 200,
    "message": "success",
    "data": []
}
```

### Error Response

```json
{
    "status": 400,
    "message": "fail"
}
```